package post

import (
	"context"
	"time"

	"git.apinb.com/bsm-sdk/core/errcode"
	"git.apinb.com/bsm-sdk/core/printer"
	"git.apinb.com/bsm-sdk/core/service"
	"git.apinb.com/bsm-sdk/core/vars"
	"bsm/full/module/social/feed/internal/models"
	pb "bsm/full/module/social/feed/pb"
)

// 删除评论
func DeleteComment(ctx context.Context, in *pb.IdentRequest) (reply *pb.StatusReply, err error) {
	_, err = service.ParseMetaCtx(ctx, nil)
	if err != nil {
		return nil, err
	}
	if in.GetId() == 0 && in.GetIdentity() == "" {
		return nil, errcode.ErrInvalidArgument
	}
	err = models.DeleteComment(in.Identity)
	if err != nil {
		printer.Error(err.Error())
		return nil, errcode.ErrDB
	}
	return &pb.StatusReply{
		Data:    vars.OK,
		Timeseq: time.Now().UnixNano(),
	}, nil

}
